Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class JspTagLibImpl

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.JspTagLibImpl

All Implemented Interfaces:
  JspTagLib

    class JspTagLibImpl
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`JspTagLibImpl(java.lang.String uri, java.util.Map tagClasses)`

Method Summary
`JspTag` | `getTag(java.lang.String name)`
`java.lang.String` | `getURI()`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)` Overrides invoke method so tags can be invoked as methods

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JspTagLibImpl

    JspTagLibImpl(java.lang.String uri, java.util.Map tagClasses)

Method Detail

### getTag

    JspTag getTag(java.lang.String name)

### getURI

    java.lang.String getURI()

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

  Overrides invoke method so tags can be invoked as methods

Groovy Documentation